{
  "apiVersion": 3,
  "name": "wpuf-ud/directory-item",
  "title": "User Directory Item",
  "category": "wpuf-ud",
  "ancestor": [ "wpuf-ud/directory" ],
  "description": "A single user item in the user directory. Contains the block elements used to render a user, like the avatar, name, bio, contact info, and more.",
  "keywords": ["user", "directory", "item", "profile"],
  "textdomain": "wpuf-pro",
  "usesContext": [
    "queryId",
    "query",
    "displayLayout",
    "templateSlug",
    "previewUserType",
    "enhancedPagination",
    "userType",
    "userRoles",
    "userExcludeRoles",
    "userExcludeUsers",
    "usersPerRow"
  ],
  "attributes": {
    "userId": {
      "type": "number",
      "default": 0
    },
    "layout_style": {
      "type": "string",
      "default": "layout-2"
    },
    "isDirectoryMode": {
      "type": "boolean",
      "default": true
    }
  },
  "supports": {
    "reusable": false,
    "html": false,
    "layout": true
  },
  "example": {
    "attributes": {
      "userId": 1,
      "layout_style": "layout-2"
    }
  }
}
